package cn.com.qmth.sdk.test;

import cn.com.qmth.sdk.request.OuterGetSubjectivePaperReq;
import cn.com.qmth.sdk.util.HttpMethod;
import cn.com.qmth.sdk.util.JsonUtil;
import cn.com.qmth.sdk.util.OKHttpUtil;
import cn.com.qmth.sdk.util.QmthUtil;
import okhttp3.Response;
import org.apache.commons.io.IOUtils;

public class GetSubjectivePaper {

    public static void main(String[] args) {
        //{'examId': 2,'subjectCode': 'ldyCos001'}
        //
        OuterGetSubjectivePaperReq reqBody = new OuterGetSubjectivePaperReq();
        reqBody.setExamId(2L);
        reqBody.setSubjectCode("ldyCos001");

        String url = QmthUtil.buildUrl("/api/exchange/outer/question/getSubjectivePaper");
        Response resp = null;
        try {
            resp = OKHttpUtil.call(HttpMethod.POST, url, QmthUtil.getSecurityHeaders(),
                    JsonUtil.toJson(reqBody));
            System.out.println(resp.code());
            System.out.println(resp.body().string());
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            IOUtils.closeQuietly(resp);
        }
    }

}
