package cn.com.qmth.sdk.test;

import org.apache.commons.io.IOUtils;

import cn.com.qmth.sdk.request.OuterSaveStudentReq;
import cn.com.qmth.sdk.util.HttpMethod;
import cn.com.qmth.sdk.util.JsonUtil;
import cn.com.qmth.sdk.util.OKHttpUtil;
import cn.com.qmth.sdk.util.QmthUtil;
import okhttp3.Response;

public class SaveStudent {

	public static void main(String[] args) {
		OuterSaveStudentReq reqBody = new OuterSaveStudentReq();

		reqBody.setName("陈圆圆");
		reqBody.setIdentityNumber("42112100001111XXXXXXX");
		reqBody.setOperator("测试");
		// reqBody.setOrgCode("sb-001");
		// reqBody.setOrgName("学习中心-001");
		reqBody.setPhoneNumber("1501111XXXX");
		reqBody.setPhotoUrl(null);
		reqBody.setRemark("测试");
		reqBody.setRootOrgId(QmthUtil.getRootOrgId());
		reqBody.setStudentCode("s-100");

		String url = QmthUtil.buildUrl("/api/exchange/outer/student/saveStudent");
		Response resp = null;
		try {
			resp = OKHttpUtil.call(HttpMethod.POST, url, QmthUtil.getSecurityHeaders(),
					JsonUtil.toJson(reqBody));
			System.out.println(resp.code());
			System.out.println(resp.body().string());
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			IOUtils.closeQuietly(resp);
		}
	}
}
